Error when emerging mod_php

Ask questions regarding Gentoox, Gentoo and Linux in general in these forums and we'll do our best to help you!
Post Reply
User avatar
m1d_kn1ght
Linux User
Posts: 14
Joined: Sat Mar 18, 2006 9:48 am
Location: Melbourne, Australia
Contact:

Error when emerging mod_php

Post by m1d_kn1ght » Wed Apr 05, 2006 9:49 am

Hey all.

Ive searched forums and googled this, but I cant find out how to fix this. Can you guys perhaps shed some light?

This is my

Code: Select all

emerge mod_php
problem.

This is the error I recieve :

Code: Select all

Configuring SAPI modules
checking for AOLserver support... no
checking for Apache 1.x module support via DSO through APXS... no
checking for Apache 1.x module support... no
checking for mod_charset compatibility option... no
checking for Apache 2.0 filter-module support via DSO through APXS... no
checking for Apache 2.0 handler-module support via DSO through APXS... configure: error: ZTS currently requires working POSIX threads. We were unable to verify that your system supports Pthreads.

!!! Please attach the config.log to your bug report:
!!! /var/tmp/portage/mod_php-4.4.0-r9/work/php-4.4.0/config.log

!!! ERROR: dev-php/mod_php-4.4.0-r9 failed.
!!! Function econf, Line 495, Exitcode 0
!!! econf failed
!!! If you need support, post the topmost build error, NOT this status message.
And the /var/tmp/portage/mod_php-4.4.0-r9/work/php-4.4.0/config.log :

Code: Select all

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

configure:1656: checking host system type
configure:1756: checking for gcc
configure:1869: checking whether the C compiler (gcc -march=pentium3 -O2 -fomit$
configure:1885: gcc -o conftest -march=pentium3 -O2 -fomit-frame-pointer -pipe $
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/../../../../i686-pc-linux-gnu$
configure:1911: checking whether the C compiler (gcc -march=pentium3 -O2 -fomit$
configure:1916: checking whether we are using GNU C
configure:1925: gcc -E conftest.c
configure:1944: checking whether gcc accepts -g
configure:1977: checking whether gcc and cc understand -c and -o together
configure:1992: gcc -c conftest.c -o conftest.o 1>&5
configure:1993: gcc -c conftest.c -o conftest.o 1>&5
configure:1998: cc -c conftest.c 1>&5
configure:2000: cc -c conftest.c -o conftest.o 1>&5
configure:2001: cc -c conftest.c -o conftest.o 1>&5
configure:2028: checking how to run the C preprocessor
configure:2049: gcc -E  conftest.c >/dev/null 2>conftest.out
configure:2109: checking for AIX
configure:2136: checking if compiler supports -R
configure:2151: gcc -o conftest -march=pentium3 -O2 -fomit-frame-pointer -pipe $
gcc: unrecognized option `-R'
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/../../../../i686-pc-linux-gnu$
collect2: ld returned 1 exit status
configure: failed program was:
#line 2144 "configure"
#include "confdefs.h"

int main() {

; return 0; }
configure:2169: checking if compiler supports -Wl,-rpath,
configure:2184: gcc -o conftest -march=pentium3 -O2 -fomit-frame-pointer -pipe $
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/../../../../i686-pc-linux-gnu$
configure:2210: checking for re2c
configure:2239: checking whether ln -s works
configure:2264: checking for gawk
configure:2298: checking for bison
configure:2332: checking bison version
configure:2342: checking for flex
configure:2376: checking for yywrap in -lfl
configure:2395: gcc -o conftest -march=pentium3 -O2 -fomit-frame-pointer -pipe $
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/../../../../i686-pc-linux-gnu$
configure:2419: checking lex output file root
configure:2440: checking whether yytext is a pointer
configure:2459: gcc -o conftest -march=pentium3 -O2 -fomit-frame-pointer -pipe $
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/../../../../i686-pc-linux-gnu$
configure:2483: checking for working const
configure:2537: gcc -c -march=pentium3 -O2 -fomit-frame-pointer -pipe -DLINUX=2$
configure:2562: checking flex version
configure:2578: checking whether byte ordering is bigendian
configure:2671: checking whether to force non-PIC code in shared modules
configure:2808: checking for pthreads_cflags
configure:2871: checking for pthreads_lib
configure:3002: checking for AOLserver support
configure:3243: checking for Apache 1.x module support via DSO through APXS
configure:3546: checking for Apache 1.x module support
configure:4381: checking for mod_charset compatibility option
configure:4518: checking for Apache 2.0 filter-module support via DSO through A$
configure:5340: checking for Apache 2.0 handler-module support via DSO through $
The process I followed is :
1. installed GentooX home in the E:
2. ran magic : successful
3. emerge portage : successful
4. emerge apache mod_php dev-php/php : Successful
5. etc-update (option -3) : successful
6. updated apache.conf with APACHE_OPTS="-D PHP4"
7. Started Apache : successful - tested phpinfo(), worked fine
8. Realised I didnt have MySQL installed - emerge mysql : successful
9. No connection to mysql from apache. Decided to re-emerge apache and php etc in case I got the sequence wrong.
10. emerge apache mod_php dev-php/php : this is where I recieve the above error.

This is a CLEAN install, so there shouldnt be any lingering config files or anything from previous installs or upgrades.

Cheers in advance guys. :-)

Nick
Last edited by m1d_kn1ght on Fri Apr 07, 2006 7:05 pm, edited 1 time in total.
XBox v1.6

Hardware
Xecuter 3 mod
200Gb PATA Hard disk
X3 Control Panel

Software
Gentoox Home v4
Apache 2 - PHP5
MySQL
ProFTPd
Qmail - vpopmail

User avatar
cheesyboofs
Power user
Posts: 239
Joined: Wed Jan 26, 2005 1:32 pm
Location: Luton UK
Contact:

Post by cheesyboofs » Wed Apr 05, 2006 10:46 am

configure:3243: checking for Apache 1.x module support via DSO through APXS
configure:3546: checking for Apache 1.x module support
configure:4381: checking for mod_charset compatibility option
configure:4518: checking for Apache 2.0 filter-module support via DSO through A$
configure:5340: checking for Apache 2.0 handler-module support via DSO through $
Just emerge mod_php, apache is a dependent so will be installed. Don't quote me but I think you are trying to install apache 1 and apache 2.
Go fully native, it's the destiny of all Mk1 XboxesImage
The needs of the many out way the needs of the few or the one ...

User avatar
zlasher
Adept
Posts: 63
Joined: Mon Jan 30, 2006 10:38 am
Location: Norway
Contact:

Post by zlasher » Wed Apr 05, 2006 12:29 pm

Yes.. you (m1d kn1ght) should run emerge with -pv and check what use flags are in effect..

that could clear up things..

(although cheesyboofs tips may work)..


Steinar T
Xbox v1.1, Xtender, Xecuter 3CE
Gentoox Pro 4.1 native
http://xboxlinux.mine.nu

User avatar
m1d_kn1ght
Linux User
Posts: 14
Joined: Sat Mar 18, 2006 9:48 am
Location: Melbourne, Australia
Contact:

Post by m1d_kn1ght » Wed Apr 05, 2006 3:31 pm

Thanks guys. I forgot to mention that this error was recieved AFTER Apache installed via command :

Code: Select all

emerge apache mod_php dev-php/php
So essentially, apache merged without a hitch.

When it finished merging Apache and started the mod_php, thats when I recieved this error.

I only say this because the problem doesnt seem to be with apache.

Heres the emerge -pv :

Code: Select all

Xbox root # emerge -pv mod_php

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild  N    ] net-www/apache-2.0.55-r1  +apache2 -debug -doc -ldap -mpm-leader -mpm-peruser -mpm-prefork -mpm-threadpool -mpm-worker -no-suexec (-selinux) +ssl -static-modules +threads 0 kB
[ebuild  N    ] dev-php/mod_php-4.4.0-r9  +X +apache2 +berkdb +crypt +curl -debug -doc -fdftk -firebird +flash -freetds +gd -gd-external +gdbm -gmp -hardenedphp +imap -informix +ipv6 +java +jpeg -kerberos -ldap -mcal +memlimit -mssql +mysql +nls -oci8 -odbc +pam +png -postgres -snmp +spell +ssl +tiff +truetype +xml2 -yaz 0 kB
[ebuild  N    ] dev-php/php-4.4.0-r4  +X +berkdb +crypt +curl -debug -doc -fdftk -firebird +flash -freetds +gd -gd-external +gdbm -gmp -hardenedphp +imap -informix +ipv6 +java +jpeg -kerberos -ldap -mcal +memlimit -mssql +mysql +ncurses +nls -oci8 -odbc +pam +png -postgres +readline -snmp +spell +ssl +tiff +truetype +xml2 -yaz 0 kB
Ok, followed Cheesyboofs, and unmerged apache.

ran : emerge mod_php

Recieved the same error again, just after apache merged (dependancy version) and during the mod_php emerge.

Any idea's? Every time I think Im making head way, I take two steps back and one step forward. Its driving me insane! LOL!

Thanx.

Nick
Last edited by m1d_kn1ght on Fri Apr 07, 2006 7:05 pm, edited 1 time in total.
XBox v1.6

Hardware
Xecuter 3 mod
200Gb PATA Hard disk
X3 Control Panel

Software
Gentoox Home v4
Apache 2 - PHP5
MySQL
ProFTPd
Qmail - vpopmail

orochi
Gentoox Guru!
Posts: 606
Joined: Sun Oct 24, 2004 8:11 am

Post by orochi » Thu Apr 06, 2006 6:03 am

you can follow this and other guides on http://www.gentoo-wiki.org to install programs on your xbox.


http://gentoo-wiki.com/Apache_Modules_mod_php

User avatar
m1d_kn1ght
Linux User
Posts: 14
Joined: Sat Mar 18, 2006 9:48 am
Location: Melbourne, Australia
Contact:

Post by m1d_kn1ght » Thu Apr 06, 2006 6:40 am

orochi wrote:you can follow this and other guides on http://www.gentoo-wiki.org to install programs on your xbox.


http://gentoo-wiki.com/Apache_Modules_mod_php
Thanks for that orochi.

Tried the tutorial you mentioned, but still recieve the same error.

I even tried --unmerg apache and all other related packages.

Still no luck. Same error again when it gets to the mod_php phase.

Anything else I could try you think?

Nick
Last edited by m1d_kn1ght on Fri Apr 07, 2006 7:06 pm, edited 1 time in total.
XBox v1.6

Hardware
Xecuter 3 mod
200Gb PATA Hard disk
X3 Control Panel

Software
Gentoox Home v4
Apache 2 - PHP5
MySQL
ProFTPd
Qmail - vpopmail

orochi
Gentoox Guru!
Posts: 606
Joined: Sun Oct 24, 2004 8:11 am

Post by orochi » Thu Apr 06, 2006 7:01 pm

checking my system, i have mod_php-4.4.0-r9, and dont remember there being any problems installing that package.


When was the last time you ran

Code: Select all

emerge --sync && emerge -up world

you may have some other supporting (but not dependant) packages on your system that are out of date

User avatar
m1d_kn1ght
Linux User
Posts: 14
Joined: Sat Mar 18, 2006 9:48 am
Location: Melbourne, Australia
Contact:

Post by m1d_kn1ght » Fri Apr 07, 2006 12:50 am

Well, this is what I got.

Is there something here you can see that I cant?

Code: Select all

Xbox root # emerge -p world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[blocks B     ] <net-ftp/proftpd-1.2.10-r6 (is blocking net-ftp/ftpbase-0.00)
[blocks B     ] media-libs/libungif (is blocking media-libs/giflib-4.1.4)
[blocks B     ] <=x11-themes/gnome-themes-2.8.2 (is blocking x11-themes/gtk-engines-2.6.7)
[ebuild     U ] sys-devel/binutils-config-1.8-r6 [1.8-r2]
[ebuild     U ] sys-devel/gnuconfig-20060227 [20050324]
[ebuild     U ] sys-devel/binutils-2.16.1 [2.15.92.0.2-r10]
[ebuild     U ] sys-devel/gcc-config-1.3.13-r1 [1.3.10-r2]
[ebuild     U ] sys-devel/m4-1.4.4 [1.4.2-r1]
[ebuild     U ] sys-devel/bison-2.1 [1.875d]
[ebuild  N    ] virtual/libintl-0
[ebuild     U ] sys-apps/sed-4.1.4-r1 [4.1.4]
[ebuild     U ] sys-apps/texinfo-4.8-r2 [4.8]
[ebuild  NS   ] sys-devel/gcc-3.4.5-r1
[ebuild     U ] sys-devel/gcc-3.3.6 [3.3.5.20050130-r1]
[ebuild     U ] sys-kernel/linux-headers-2.4.26-r1 [2.4.22-r1]
[ebuild  N    ] sys-libs/timezone-data-2006a
[ebuild     U ] sys-libs/glibc-2.3.5-r3 [2.3.4.20041102-r1]
[ebuild     U ] sys-devel/gettext-0.14.4 [0.14.1-r1]
[ebuild     U ] sys-apps/man-1.6-r1 [1.5p]
[ebuild     U ] sys-apps/man-pages-2.27 [2.01]
[ebuild     U ] sys-apps/grep-2.5.1-r8 [2.5.1-r7]
[ebuild     U ] net-www/netscape-flash-7.0.63 [7.0.25]
[ebuild     U ] app-shells/bash-3.0-r12 [2.05b-r9]
[ebuild     U ] sys-libs/cracklib-2.8.5-r1 [2.7-r11]
[ebuild     U ] app-arch/unzip-5.52 [5.50-r2]
[ebuild     U ] sys-devel/autoconf-wrapper-3-r1 [2-r1]
[ebuild     U ] sys-devel/autoconf-2.59-r7 [2.59-r6]
[ebuild     U ] sys-devel/automake-1.9.6-r1 [1.9.5]
[ebuild     U ] media-sound/alsa-headers-1.0.10 [1.0.8]
[ebuild     U ] sys-devel/libtool-1.5.22 [1.5.16]
[ebuild     U ] sys-fs/devfsd-1.3.25-r9 [1.3.25-r8]
[ebuild     U ] sys-devel/make-3.80-r4 [3.80-r1]
[ebuild  NS   ] sys-kernel/vanilla-sources-2.4.31
[ebuild     U ] media-libs/alsa-lib-1.0.10 [1.0.8]
[ebuild     U ] sys-apps/findutils-4.1.20-r2 [4.1.20-r1]
[ebuild     U ] sys-libs/readline-5.1_p2 [4.3-r5]
[ebuild     U ] sys-libs/gdbm-1.8.3-r2 [1.8.3-r1]
[ebuild  NS   ] dev-lang/python-2.4.2
[ebuild     U ] dev-java/java-config-1.2.11-r1 [1.2.11]
[ebuild     U ] sys-devel/flex-2.5.33-r1 [2.5.4a-r5]
[ebuild     U ] dev-util/pkgconfig-0.20 [0.15.0]
[ebuild     U ] sys-libs/pam-0.78-r3 [0.77-r6]
[ebuild     U ] sys-apps/shadow-4.0.14-r1 [4.0.5-r3]
[ebuild     U ] sys-apps/pam-login-4.0.14 [3.14]
[ebuild  N    ] sys-libs/com_err-1.38
[ebuild  N    ] sys-libs/ss-1.38
[ebuild     U ] sys-fs/e2fsprogs-1.38-r1 [1.35-r1]
[ebuild     U ] app-crypt/hashalot-0.3-r2 [0.3]
[ebuild     U ] sys-apps/util-linux-2.12r-r2 [2.12i-r1]
[ebuild     U ] media-libs/libpng-1.2.8-r1 [1.2.8]
[ebuild     U ] app-arch/bzip2-1.0.3-r6 [1.0.3]
[ebuild     U ] sys-apps/file-4.13 [4.12]
[ebuild  N    ] app-admin/eselect-1.0
[ebuild  N    ] app-admin/eselect-opengl-1.0.3
[ebuild     U ] x11-base/opengl-update-3.0.0 [2.2.1]
[ebuild     U ] x11-base/xorg-x11-6.8.2-r6 [6.8.2-r1]
[ebuild     U ] dev-java/blackdown-jdk-1.4.2.03 [1.4.2.01-r2]
[ebuild     U ] sys-libs/db-4.2.52_p2-r1 [4.2.52_p2]
[ebuild     U ] app-arch/cpio-2.6-r5 [2.6-r3]
[ebuild     U ] app-arch/rpm2targz-9.0-r3 [9.0-r2]
[ebuild     U ] sys-apps/utempter-0.5.5.6 [0.5.5.5-r1]
[ebuild     U ] x11-terms/xterm-207 [200-r1]
[ebuild     U ] sys-devel/libperl-5.8.7 [5.8.5]
[ebuild     U ] dev-lang/perl-5.8.7-r3 [5.8.5-r5]
[ebuild     U ] dev-libs/openssl-0.9.7i [0.9.7e-r1]
[ebuild  N    ] app-admin/perl-cleaner-1.01
[ebuild  N    ] app-misc/ca-certificates-20050804
[ebuild  N    ] net-ftp/ftpbase-0.00
[ebuild     U ] net-ftp/proftpd-1.2.10-r7 [1.2.10-r1]
[ebuild     U ] app-portage/mirrorselect-1.2 [0.89]
[ebuild     U ] media-libs/jpeg-6b-r5 [6b-r4]
[ebuild     U ] media-libs/tiff-3.7.3 [3.7.2]
[ebuild     U ] media-libs/lcms-1.14-r1 [1.13-r1]
[ebuild     U ] media-libs/libmng-1.0.8-r1 [1.0.4]
[ebuild  N    ] x11-libs/cairo-1.0.2
[ebuild     U ] dev-libs/glib-2.8.6 [2.6.3]
[ebuild     U ] dev-libs/atk-1.10.3 [1.8.0-r1]
[ebuild     U ] x11-libs/pango-1.10.3 [1.8.1]
[ebuild     U ] dev-util/intltool-0.34.1 [0.31.2]
[ebuild     U ] dev-libs/libxml2-2.6.23 [2.6.17]
[ebuild     U ] x11-misc/shared-mime-info-0.16 [0.14-r2]
[ebuild     U ] x11-libs/gtk+-2.8.12 [2.6.4-r1]
[ebuild     U ] dev-libs/libIDL-0.8.6 [0.8.5]
[ebuild     U ] gnome-base/orbit-2.12.5 [2.12.2]
[ebuild     U ] gnome-base/gconf-2.12.1 [2.8.1-r1]
[ebuild     U ] app-admin/fam-2.7.0-r4 [2.7.0-r2]
[ebuild     U ] gnome-base/libbonobo-2.10.1 [2.8.1]
[ebuild  N    ] app-text/poppler-0.5.0-r5
[ebuild     U ] net-print/cups-1.1.23-r7 [1.1.23-r1]
[ebuild     U ] sys-apps/attr-2.4.24 [2.4.19-r1]
[ebuild     U ] sys-apps/acl-2.2.32 [2.2.27]
[ebuild     U ] net-fs/samba-3.0.21b [3.0.10]
[ebuild     U ] gnome-base/gnome-vfs-2.12.2 [2.8.4-r1]
[ebuild     U ] www-client/mozilla-launcher-1.49 [1.32]
[ebuild     U ] app-arch/zip-2.31 [2.3-r4]
[ebuild     U ] mail-client/mozilla-thunderbird-1.0.7 [1.0.2]
[ebuild     U ] app-editors/nano-1.3.9 [1.3.7]
[ebuild     U ] sys-process/procps-3.2.6 [3.2.5-r1]
[ebuild  N    ] media-libs/gstreamer-0.8.11
[ebuild  N    ] dev-libs/liboil-0.3.6
[ebuild  N    ] media-libs/gst-plugins-0.8.11
[ebuild     U ] media-sound/esound-0.2.36-r1 [0.2.34]
[ebuild  N    ] media-plugins/gst-plugins-esd-0.8.11
[ebuild  N    ] media-plugins/gst-plugins-alsa-0.8.11
[ebuild  N    ] media-plugins/gst-plugins-oss-0.8.11
[ebuild  N    ] media-plugins/gst-plugins-ogg-0.8.11
[ebuild     U ] media-sound/xmms-1.2.10-r15 [1.2.10-r14]
[ebuild     U ] sys-apps/module-init-tools-3.2.1 [3.0-r2]
[ebuild     U ] app-misc/lirc-0.7.0-r1 [0.7.0_pre4]
[ebuild  N    ] media-plugins/xmms-lirc-1.4
[ebuild     U ] sys-apps/gawk-3.1.5 [3.1.3-r2]
[ebuild     U ] media-libs/flac-1.1.2-r3 [1.1.1]
[ebuild  N    ] media-plugins/gst-plugins-flac-0.8.11
[ebuild     U ] dev-libs/libgcrypt-1.2.2-r1 [1.2.1]
[ebuild     U ] dev-libs/libxslt-1.1.15 [1.1.12]
[ebuild     U ] x11-libs/qt-3.3.4-r8 [3.3.4-r3]
[ebuild     U ] dev-libs/libpcre-6.3 [5.0]
[ebuild     U ] net-dns/libidn-0.5.15 [0.5.13]
[ebuild     U ] kde-base/kde-env-3-r4 [3-r3]
[ebuild     U ] kde-base/arts-3.4.3 [3.4.1-r2]
[ebuild     U ] kde-base/kdelibs-3.4.3-r1 [3.4.1]
[ebuild     U ] kde-base/kdebase-pam-6 [4]
[ebuild     U ] sys-apps/eject-2.1.0-r1 [2.0.13-r1]
[ebuild     U ] kde-base/kdebase-3.4.3-r1 [3.4.1]
[ebuild  N    ] media-plugins/gst-plugins-vorbis-0.8.11
[ebuild     U ] media-libs/taglib-1.4 [1.3.1]
[ebuild     U ] media-libs/libdvdcss-1.2.9 [1.2.8]
[ebuild  N    ] media-libs/libwmf-0.2.8.2
[ebuild  N    ] media-video/mpeg2vidcodec-12-r1
[ebuild  N    ] media-gfx/imagemagick-6.2.5.5
[ebuild     U ] media-libs/xine-lib-1.1.1-r3 [1.0-r2]
[ebuild  N    ] media-plugins/gst-plugins-mad-0.8.11
[ebuild     U ] kde-base/kdemultimedia-3.4.3 [3.4.1-r1]
[ebuild     U ] dev-libs/dbh-1.0.24 [1.0.20]
[ebuild     U ] x11-themes/gtk-engines-xfce-2.2.7-r1 [2.2.5]
[ebuild     U ] xfce-base/libxfce4util-4.2.2 [4.2.0]
[ebuild     U ] xfce-base/libxfcegui4-4.2.2-r1 [4.2.0]
[ebuild     U ] xfce-base/libxfce4mcs-4.2.2 [4.2.0]
[ebuild     U ] xfce-base/xfce-mcs-manager-4.2.2 [4.2.0]
[ebuild     U ] xfce-base/xfce-mcs-plugins-4.2.2 [4.2.0]
[ebuild     U ] xfce-base/xfce4-panel-4.2.2 [4.2.0]
[ebuild     U ] xfce-base/xfprint-4.2.2 [4.2.0]
[ebuild     U ] xfce-extra/xfce4-mixer-4.2.2 [4.2.0]
[ebuild     U ] xfce-extra/xfce4-appfinder-4.2.2 [4.2.0]
[ebuild     U ] xfce-extra/xfce4-icon-theme-4.2.2 [4.2.0]
[ebuild     U ] xfce-base/xfwm4-4.2.2 [4.2.0]
[ebuild     U ] xfce-extra/xfwm4-themes-4.2.2 [4.2.0]
[ebuild     U ] xfce-base/xfce-utils-4.2.2 [4.2.0]
[ebuild     U ] xfce-base/xfce4-session-4.2.2 [4.2.0]
[ebuild     U ] xfce-extra/xfce4-trigger-launcher-4.2.2 [4.2.0]
[ebuild     U ] xfce-extra/xfce4-iconbox-4.2.2 [4.2.0]
[ebuild     U ] xfce-extra/xfce4-toys-4.2.2 [4.2.0]
[ebuild     U ] xfce-extra/xfce4-systray-4.2.2 [4.2.0]
[ebuild     U ] xfce-extra/xfcalendar-4.2.2 [4.2.0]
[ebuild     U ] xfce-base/xffm-4.2.2 [4.2.0]
[ebuild     U ] xfce-base/xfdesktop-4.2.2 [4.2.0]
[ebuild     U ] xfce-base/xfce4-4.2.2 [4.2.0]
[ebuild     U ] net-misc/vnc-4.0-r1 [3.3.7]
[ebuild     U ] net-misc/wget-1.10.2 [1.9.1-r5]
[ebuild     U ] net-misc/openssh-4.2_p1-r1 [3.9_p1-r2]
[ebuild     U ] sys-libs/slang-1.4.9-r2 [1.4.9-r1]
[ebuild     U ] app-misc/mc-4.6.0-r14 [4.6.0-r13]
[ebuild     U ] app-arch/gzip-1.3.5-r8 [1.3.5-r7]
[ebuild     U ] media-sound/alsa-tools-1.0.10 [1.0.8-r1]
[ebuild     U ] sys-apps/busybox-1.1.0 [1.00-r4]
[ebuild     U ] sys-process/dcron-2.9-r4 [2.9-r2]
[ebuild     U ] net-irc/irssi-0.8.10 [0.8.9-r1]
[ebuild     U ] app-arch/tar-1.15.1-r1 [1.15.1]
[ebuild     U ] kde-base/kdepim-3.4.3 [3.4.1]
[ebuild     U ] kde-base/kdegames-3.4.3 [3.4.1]
[ebuild     U ] kde-base/kdeartwork-3.4.3 [3.4.1]
[ebuild     U ] net-wireless/wireless-tools-28_pre14 [27]
[ebuild     U ] dev-perl/IO-Socket-SSL-0.97 [0.96]
[ebuild     U ] kde-base/kdenetwork-3.4.3 [3.4.1]
[ebuild     U ] media-libs/libexif-0.6.12-r4 [0.5.12-r3]
[ebuild     U ] sys-apps/pciutils-2.2.0-r1 [2.1.11-r3]
[ebuild     U ] sys-apps/usbutils-0.71-r1 [0.11-r5]
[ebuild     U ] sys-apps/hotplug-20040923-r1 [20040923]
[ebuild     U ] media-libs/libgphoto2-2.1.6-r1 [2.1.4]
[ebuild     U ] kde-base/kdegraphics-3.4.3-r4 [3.4.1]
[ebuild     U ] net-misc/curl-7.15.1-r1 [7.13.1]
[ebuild     U ] media-gfx/xloadimage-4.1-r4 [4.1-r3]
[ebuild     U ] app-crypt/gnupg-1.4.2.2 [1.4.1]
[ebuild     U ] kde-base/kdeutils-3.4.3-r1 [3.4.1]
[ebuild     U ] kde-base/kdewebdev-3.4.3-r1 [3.4.1]
[ebuild     U ] kde-base/kdeadmin-3.4.3 [3.4.1]
[ebuild     U ] kde-base/kdeaddons-3.4.3 [3.4.1]
[ebuild     U ] kde-base/kdetoys-3.4.3 [3.4.1]
[ebuild     U ] kde-base/kdeedu-3.4.3-r10 [3.4.1]
[ebuild     U ] kde-base/kde-3.4.3 [3.4.1]
[ebuild     U ] app-office/openoffice-bin-2.0.2 [1.1.4-r1]
[ebuild     U ] net-dialup/ppp-2.4.2-r15 [2.4.2-r10]
[ebuild     U ] dev-util/cvs-1.12.12-r2 [1.11.20]
[ebuild     U ] sys-apps/hdparm-6.3 [5.9]
[ebuild     U ] sys-apps/kbd-1.12-r6 [1.12-r4]
[ebuild     U ] net-dialup/pppoed-0.49 [0.48_beta1-r1]
[ebuild     U ] www-client/mozilla-firefox-1.0.7-r4 [1.0.4]
[ebuild     U ] media-libs/giflib-4.1.4 [4.1.3]
[ebuild     U ] media-libs/libdvdread-0.9.4-r1 [0.9.4]
[ebuild     U ] media-libs/xvid-1.0.3 [1.0.2]
[ebuild     U ] media-libs/svgalib-1.9.21-r1 [1.9.19-r3]
[ebuild     U ] media-video/mplayer-1.0.20060217 [1.0_pre6-r4]
[ebuild     U ] app-misc/joymouse-0.4 [0.3]
[ebuild     U ] net-dialup/rp-pppoe-3.7 [3.5-r11]
[ebuild     U ] app-editors/scite-1.62 [1.6.2]
[ebuild     U ] app-misc/gentoo-0.11.55 [0.11.51]
[ebuild     U ] gnome-base/libglade-2.5.1 [2.4.2]
[ebuild  N    ] dev-libs/lzo-1.08-r1
[ebuild  N    ] dev-libs/libtasn1-0.2.18
[ebuild  N    ] app-crypt/opencdk-0.5.5
[ebuild  N    ] net-libs/gnutls-1.2.10
[ebuild  N    ] net-libs/libsoup-2.2.7
[ebuild     U ] dev-libs/nspr-4.6.1-r2 [4.4.1-r2]
[ebuild     U ] gnome-base/libgnomecanvas-2.12.0 [2.8.0]
[ebuild     U ] gnome-base/libgnome-2.12.0.1 [2.8.1]
[ebuild     U ] gnome-base/libbonoboui-2.10.1-r1 [2.8.1]
[ebuild     U ] gnome-base/gnome-keyring-0.4.6 [0.4.1]
[ebuild     U ] gnome-base/libgnomeui-2.12.0 [2.8.1-r1]
[ebuild  N    ] gnome-extra/evolution-data-server-1.4.2.1
[ebuild     U ] x11-themes/hicolor-icon-theme-0.8 [0.5]
[ebuild     U ] x11-themes/gnome-icon-theme-2.12.1 [2.8.0]
[ebuild     U ] x11-themes/gtk-engines-2.6.7 [2.2.0]
[ebuild     U ] x11-themes/gnome-themes-2.12.3 [2.8.2]
[ebuild     U ] app-text/enchant-1.1.6 [1.1.5]
[ebuild     U ] app-text/gtkspell-2.0.11-r1 [2.0.4-r1]
[ebuild     U ] net-im/gaim-1.5.0 [1.3.0]
[ebuild     U ] sys-apps/less-385_p4-r2 [382-r2]
[ebuild     U ] app-admin/webmin-1.250 [1.200]
[ebuild     U ] gnome-extra/libgsf-1.12.1 [1.10.0]
[ebuild     U ] gnome-base/librsvg-2.12.7 [2.8.1-r1]
[ebuild     U ] app-text/docbook-xsl-stylesheets-1.68.1-r1 [1.66.1]
[ebuild     U ] app-text/docbook-xml-dtd-4.1.2-r6 [4.1.2-r5]
[ebuild     U ] app-text/scrollkeeper-0.3.14-r2 [0.3.14]
[ebuild     U ] gnome-base/gdm-2.8.0.7 [2.6.0.7]
[ebuild     U ] app-admin/sudo-1.6.8_p9-r2 [1.6.7_p5-r2]
[ebuild     U ] net-dialup/rppppoek-0.40 [0.33]
[ebuild  N    ] sys-apps/sysvinit-2.86-r3
[ebuild     U ] sys-apps/coreutils-5.2.1-r7 [5.2.1-r6]
[ebuild     U ] sys-apps/baselayout-1.11.14-r6 [1.9.4-r6]
[ebuild     U ] net-misc/rsync-2.6.0-r6 [2.6.0-r5]
[ebuild     U ] sys-apps/debianutils-2.15 [2.13.1-r1]
[ebuild     U ] perl-core/Test-Simple-0.62 [0.47-r1]
[ebuild  N    ] virtual/perl-Test-Simple-0.62
[ebuild     U ] dev-perl/Locale-gettext-1.05 [1.03]
[ebuild     U ] net-dialup/pppconfig-2.3.11-r2 [2.3.11]
[ebuild     U ] sys-process/psmisc-22.1 [21.5]
[ebuild     U ] app-portage/gentoolkit-0.2.1 [0.2.0]
[ebuild     U ] net-irc/xchat-2.4.5 [2.4.3]
[ebuild     U ] app-misc/screen-4.0.2-r4 [4.0.2-r1]
Xbox root #
I really appreciate you guys helping me with this.

Nick

orochi
Gentoox Guru!
Posts: 606
Joined: Sun Oct 24, 2004 8:11 am

Post by orochi » Fri Apr 07, 2006 12:27 pm

there looks to be an update to glibc and gcc (with alot of others) you may want to look into updating. But before you do you will have 3 packages that are being blocked, checkout the manual's at http://www.gentoo.org on how to properly deal with that

User avatar
m1d_kn1ght
Linux User
Posts: 14
Joined: Sat Mar 18, 2006 9:48 am
Location: Melbourne, Australia
Contact:

Post by m1d_kn1ght » Fri Apr 07, 2006 6:38 pm

Well, I found a bit of a workaround.

It was a mongrel, but I got it.

I couldnt be bothered waiting for the 800 odd Mb of downloads, and then the 60+ hours to compile all the updates to all the packages. LOL!

I unmerged apache and libswf (it was blocking another package).

I then ran apache with the mpm_peruser flag

I then ran emerge dev-lang/php-5.1.2 instead of dev-php/mod_php, and wouldnt you know it...

Damn thing works without a hitch!

Bugger me.

YAY FOR ME!

Thanx for all your help guys, but Im pretty stoked with myself right about now! Time for a coffee!!!

Youre awseome!

Cheers!

Nick

User avatar
zlasher
Adept
Posts: 63
Joined: Mon Jan 30, 2006 10:38 am
Location: Norway
Contact:

Post by zlasher » Mon Apr 10, 2006 7:37 am

:oops: Had to do the same workaround some time ago.. Never got the php_mod to work.. Probably due to my limited linux knowledge..

Steinar T
Xbox v1.1, Xtender, Xecuter 3CE
Gentoox Pro 4.1 native
http://xboxlinux.mine.nu

Post Reply

Who is online

Users browsing this forum: No registered users and 5 guests